### Signal

# Gtk SignalListItemFactory::teardown

since: 4.0

#### Declaration

    void
    teardown (
      GtkSignalListItemFactory* self,
      GObject* object,
      gpointer user_data
    )

#### Description [src]

Emitted when an object is about to be destroyed.

It is the last signal ever emitted for this `object`.

This signal is the opposite of the `GtkSignalListItemFactory::setup` signal and should be used to undo everything done in that signal.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`object`

  Type: `GObject`

  The `GObject` to tear down.

  The data is owned by the caller of the function.